Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8102 - kudzu doesn't appear to like shared IRQs
Summary: kudzu doesn't appear to like shared IRQs
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-02 03:56 UTC by Gregory Leblanc
Modified: 2014-03-17 02:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-14 23:26:05 UTC


Attachments (Terms of Use)

Description Gregory Leblanc 2000-01-02 03:56:01 UTC
I recently installed RH6.1 on a home PC that's chock full of cards.  I had
my Intel 82557 based NIC configured to share an IRQ with my AHA-3940UW.  It
seems that kudzu couldn't handle this, as it never found my NIC.  When I
moved things around to put that card on it's own IRQ, it seemed to be
detected and work properly.  I shuffeled things around again, and with
Donal Beckers help, got my NIC working with a shared IRQ, and kept my other
devices running.  I can probably reproduce this problem by installing RH6.1
on another partition, and I can provide a full hardware list upon request.

Comment 1 Bill Nottingham 2000-01-03 16:09:59 UTC
When they're set to share an IRQ, what does 'lspci' say?

Comment 2 Gregory Leblanc 2000-01-04 02:50:59 UTC
[gleblanc@peecee gleblanc]# lspci
00:00.0 Host bridge: Acer Laboratories Inc. M1541 (rev 04)
00:01.0 PCI bridge: Acer Laboratories Inc. M5243 (rev 04)
00:02.0 USB Controller: Acer Laboratories Inc. M5237 (rev 03)
00:07.0 ISA bridge: Acer Laboratories Inc. M1533 (rev b4)
00:0e.0 Ethernet controller: Intel Corporation 82557 (rev 01)
00:0f.0 IDE interface: Acer Laboratories Inc. M5229 (rev 20)
00:12.0 PCI bridge: Digital Equipment Corporation DECchip 21050 (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc 215GB [Mach64 GB] (rev
5c)
02:04.0 SCSI storage controller: Adaptec AIC-7882U
02:05.0 SCSI storage controller: Adaptec AIC-7882U
[gleblanc@peecee gleblanc]#

Don't understand it all, but there it is.

Comment 3 Bill Nottingham 2000-01-18 16:57:59 UTC
Odd, it appears there in the PCI scan, so it should show up
in the probe. I take it this is completely repeatable?

Did the installer detect the nic?

Comment 4 Gregory Leblanc 2000-01-18 17:04:59 UTC
I repeated it with two or three attempts at installing RH6.1.  The installer did
not detect the NIC, but I was able to install it using both LinuxConf (ugly tool
that it is) and by editing the network startup scripts
(/etc/sysconf/network-scripts/).

Comment 5 Bill Nottingham 2000-02-08 22:51:59 UTC
Is the only difference in /etc/sysconfig/hwconf between the
case where they do and don't share IRQs the fact that the
network card is missing, or are other entries missing as
well?

Comment 6 Bill Nottingham 2000-02-14 23:25:59 UTC
There was a bug in the eepro driver in that it didn't like shared
IRQs; I believe this was fixed in the 2.2.14 kernel.

Comment 7 Bill Nottingham 2000-02-14 23:26:59 UTC
Repoen if this persists.


Note You need to log in before you can comment on or make changes to this bug.